Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network8.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
8.0.0.0
Broadcast address
11.255.255.255
First usable
8.0.0.1
Last usable
11.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
A (default /8)
As numbers
Hex 08000000 · Integer 134217728 to 201326591
Reverse DNS zones
8.in-addr.arpa
9.in-addr.arpa
10.in-addr.arpa
11.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001000.00000000.00000000.000000008.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network00001000.00000000.00000000.000000008.0.0.0
Broadcast00001011.11111111.11111111.1111111111.255.255.255
Split into smaller subnets/16

8.0.0.0/6 makes 1,024 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
18.0.0.0/168.0.0.1 to 8.0.255.2548.0.255.25565,534
28.1.0.0/168.1.0.1 to 8.1.255.2548.1.255.25565,534
38.2.0.0/168.2.0.1 to 8.2.255.2548.2.255.25565,534
48.3.0.0/168.3.0.1 to 8.3.255.2548.3.255.25565,534
58.4.0.0/168.4.0.1 to 8.4.255.2548.4.255.25565,534
68.5.0.0/168.5.0.1 to 8.5.255.2548.5.255.25565,534
78.6.0.0/168.6.0.1 to 8.6.255.2548.6.255.25565,534
88.7.0.0/168.7.0.1 to 8.7.255.2548.7.255.25565,534
98.8.0.0/168.8.0.1 to 8.8.255.2548.8.255.25565,534
108.9.0.0/168.9.0.1 to 8.9.255.2548.9.255.25565,534
118.10.0.0/168.10.0.1 to 8.10.255.2548.10.255.25565,534
128.11.0.0/168.11.0.1 to 8.11.255.2548.11.255.25565,534
138.12.0.0/168.12.0.1 to 8.12.255.2548.12.255.25565,534
148.13.0.0/168.13.0.1 to 8.13.255.2548.13.255.25565,534
158.14.0.0/168.14.0.1 to 8.14.255.2548.14.255.25565,534
168.15.0.0/168.15.0.1 to 8.15.255.2548.15.255.25565,534
178.16.0.0/168.16.0.1 to 8.16.255.2548.16.255.25565,534
188.17.0.0/168.17.0.1 to 8.17.255.2548.17.255.25565,534
198.18.0.0/168.18.0.1 to 8.18.255.2548.18.255.25565,534
208.19.0.0/168.19.0.1 to 8.19.255.2548.19.255.25565,534
218.20.0.0/168.20.0.1 to 8.20.255.2548.20.255.25565,534
228.21.0.0/168.21.0.1 to 8.21.255.2548.21.255.25565,534
238.22.0.0/168.22.0.1 to 8.22.255.2548.22.255.25565,534
248.23.0.0/168.23.0.1 to 8.23.255.2548.23.255.25565,534
258.24.0.0/168.24.0.1 to 8.24.255.2548.24.255.25565,534
268.25.0.0/168.25.0.1 to 8.25.255.2548.25.255.25565,534
278.26.0.0/168.26.0.1 to 8.26.255.2548.26.255.25565,534
288.27.0.0/168.27.0.1 to 8.27.255.2548.27.255.25565,534
298.28.0.0/168.28.0.1 to 8.28.255.2548.28.255.25565,534
308.29.0.0/168.29.0.1 to 8.29.255.2548.29.255.25565,534
318.30.0.0/168.30.0.1 to 8.30.255.2548.30.255.25565,534
328.31.0.0/168.31.0.1 to 8.31.255.2548.31.255.25565,534
338.32.0.0/168.32.0.1 to 8.32.255.2548.32.255.25565,534
348.33.0.0/168.33.0.1 to 8.33.255.2548.33.255.25565,534
358.34.0.0/168.34.0.1 to 8.34.255.2548.34.255.25565,534
368.35.0.0/168.35.0.1 to 8.35.255.2548.35.255.25565,534
378.36.0.0/168.36.0.1 to 8.36.255.2548.36.255.25565,534
388.37.0.0/168.37.0.1 to 8.37.255.2548.37.255.25565,534
398.38.0.0/168.38.0.1 to 8.38.255.2548.38.255.25565,534
408.39.0.0/168.39.0.1 to 8.39.255.2548.39.255.25565,534
418.40.0.0/168.40.0.1 to 8.40.255.2548.40.255.25565,534
428.41.0.0/168.41.0.1 to 8.41.255.2548.41.255.25565,534
438.42.0.0/168.42.0.1 to 8.42.255.2548.42.255.25565,534
448.43.0.0/168.43.0.1 to 8.43.255.2548.43.255.25565,534
458.44.0.0/168.44.0.1 to 8.44.255.2548.44.255.25565,534
468.45.0.0/168.45.0.1 to 8.45.255.2548.45.255.25565,534
478.46.0.0/168.46.0.1 to 8.46.255.2548.46.255.25565,534
488.47.0.0/168.47.0.1 to 8.47.255.2548.47.255.25565,534
498.48.0.0/168.48.0.1 to 8.48.255.2548.48.255.25565,534
508.49.0.0/168.49.0.1 to 8.49.255.2548.49.255.25565,534
518.50.0.0/168.50.0.1 to 8.50.255.2548.50.255.25565,534
528.51.0.0/168.51.0.1 to 8.51.255.2548.51.255.25565,534
538.52.0.0/168.52.0.1 to 8.52.255.2548.52.255.25565,534
548.53.0.0/168.53.0.1 to 8.53.255.2548.53.255.25565,534
558.54.0.0/168.54.0.1 to 8.54.255.2548.54.255.25565,534
568.55.0.0/168.55.0.1 to 8.55.255.2548.55.255.25565,534
578.56.0.0/168.56.0.1 to 8.56.255.2548.56.255.25565,534
588.57.0.0/168.57.0.1 to 8.57.255.2548.57.255.25565,534
598.58.0.0/168.58.0.1 to 8.58.255.2548.58.255.25565,534
608.59.0.0/168.59.0.1 to 8.59.255.2548.59.255.25565,534
618.60.0.0/168.60.0.1 to 8.60.255.2548.60.255.25565,534
628.61.0.0/168.61.0.1 to 8.61.255.2548.61.255.25565,534
638.62.0.0/168.62.0.1 to 8.62.255.2548.62.255.25565,534
648.63.0.0/168.63.0.1 to 8.63.255.2548.63.255.25565,534
658.64.0.0/168.64.0.1 to 8.64.255.2548.64.255.25565,534
668.65.0.0/168.65.0.1 to 8.65.255.2548.65.255.25565,534
678.66.0.0/168.66.0.1 to 8.66.255.2548.66.255.25565,534
688.67.0.0/168.67.0.1 to 8.67.255.2548.67.255.25565,534
698.68.0.0/168.68.0.1 to 8.68.255.2548.68.255.25565,534
708.69.0.0/168.69.0.1 to 8.69.255.2548.69.255.25565,534
718.70.0.0/168.70.0.1 to 8.70.255.2548.70.255.25565,534
728.71.0.0/168.71.0.1 to 8.71.255.2548.71.255.25565,534
738.72.0.0/168.72.0.1 to 8.72.255.2548.72.255.25565,534
748.73.0.0/168.73.0.1 to 8.73.255.2548.73.255.25565,534
758.74.0.0/168.74.0.1 to 8.74.255.2548.74.255.25565,534
768.75.0.0/168.75.0.1 to 8.75.255.2548.75.255.25565,534
778.76.0.0/168.76.0.1 to 8.76.255.2548.76.255.25565,534
788.77.0.0/168.77.0.1 to 8.77.255.2548.77.255.25565,534
798.78.0.0/168.78.0.1 to 8.78.255.2548.78.255.25565,534
808.79.0.0/168.79.0.1 to 8.79.255.2548.79.255.25565,534
818.80.0.0/168.80.0.1 to 8.80.255.2548.80.255.25565,534
828.81.0.0/168.81.0.1 to 8.81.255.2548.81.255.25565,534
838.82.0.0/168.82.0.1 to 8.82.255.2548.82.255.25565,534
848.83.0.0/168.83.0.1 to 8.83.255.2548.83.255.25565,534
858.84.0.0/168.84.0.1 to 8.84.255.2548.84.255.25565,534
868.85.0.0/168.85.0.1 to 8.85.255.2548.85.255.25565,534
878.86.0.0/168.86.0.1 to 8.86.255.2548.86.255.25565,534
888.87.0.0/168.87.0.1 to 8.87.255.2548.87.255.25565,534
898.88.0.0/168.88.0.1 to 8.88.255.2548.88.255.25565,534
908.89.0.0/168.89.0.1 to 8.89.255.2548.89.255.25565,534
918.90.0.0/168.90.0.1 to 8.90.255.2548.90.255.25565,534
928.91.0.0/168.91.0.1 to 8.91.255.2548.91.255.25565,534
938.92.0.0/168.92.0.1 to 8.92.255.2548.92.255.25565,534
948.93.0.0/168.93.0.1 to 8.93.255.2548.93.255.25565,534
958.94.0.0/168.94.0.1 to 8.94.255.2548.94.255.25565,534
968.95.0.0/168.95.0.1 to 8.95.255.2548.95.255.25565,534
978.96.0.0/168.96.0.1 to 8.96.255.2548.96.255.25565,534
988.97.0.0/168.97.0.1 to 8.97.255.2548.97.255.25565,534
998.98.0.0/168.98.0.1 to 8.98.255.2548.98.255.25565,534
1008.99.0.0/168.99.0.1 to 8.99.255.2548.99.255.25565,534
1018.100.0.0/168.100.0.1 to 8.100.255.2548.100.255.25565,534
1028.101.0.0/168.101.0.1 to 8.101.255.2548.101.255.25565,534
1038.102.0.0/168.102.0.1 to 8.102.255.2548.102.255.25565,534
1048.103.0.0/168.103.0.1 to 8.103.255.2548.103.255.25565,534
1058.104.0.0/168.104.0.1 to 8.104.255.2548.104.255.25565,534
1068.105.0.0/168.105.0.1 to 8.105.255.2548.105.255.25565,534
1078.106.0.0/168.106.0.1 to 8.106.255.2548.106.255.25565,534
1088.107.0.0/168.107.0.1 to 8.107.255.2548.107.255.25565,534
1098.108.0.0/168.108.0.1 to 8.108.255.2548.108.255.25565,534
1108.109.0.0/168.109.0.1 to 8.109.255.2548.109.255.25565,534
1118.110.0.0/168.110.0.1 to 8.110.255.2548.110.255.25565,534
1128.111.0.0/168.111.0.1 to 8.111.255.2548.111.255.25565,534
1138.112.0.0/168.112.0.1 to 8.112.255.2548.112.255.25565,534
1148.113.0.0/168.113.0.1 to 8.113.255.2548.113.255.25565,534
1158.114.0.0/168.114.0.1 to 8.114.255.2548.114.255.25565,534
1168.115.0.0/168.115.0.1 to 8.115.255.2548.115.255.25565,534
1178.116.0.0/168.116.0.1 to 8.116.255.2548.116.255.25565,534
1188.117.0.0/168.117.0.1 to 8.117.255.2548.117.255.25565,534
1198.118.0.0/168.118.0.1 to 8.118.255.2548.118.255.25565,534
1208.119.0.0/168.119.0.1 to 8.119.255.2548.119.255.25565,534
1218.120.0.0/168.120.0.1 to 8.120.255.2548.120.255.25565,534
1228.121.0.0/168.121.0.1 to 8.121.255.2548.121.255.25565,534
1238.122.0.0/168.122.0.1 to 8.122.255.2548.122.255.25565,534
1248.123.0.0/168.123.0.1 to 8.123.255.2548.123.255.25565,534
1258.124.0.0/168.124.0.1 to 8.124.255.2548.124.255.25565,534
1268.125.0.0/168.125.0.1 to 8.125.255.2548.125.255.25565,534
1278.126.0.0/168.126.0.1 to 8.126.255.2548.126.255.25565,534
1288.127.0.0/168.127.0.1 to 8.127.255.2548.127.255.25565,534
1298.128.0.0/168.128.0.1 to 8.128.255.2548.128.255.25565,534
1308.129.0.0/168.129.0.1 to 8.129.255.2548.129.255.25565,534
1318.130.0.0/168.130.0.1 to 8.130.255.2548.130.255.25565,534
1328.131.0.0/168.131.0.1 to 8.131.255.2548.131.255.25565,534
1338.132.0.0/168.132.0.1 to 8.132.255.2548.132.255.25565,534
1348.133.0.0/168.133.0.1 to 8.133.255.2548.133.255.25565,534
1358.134.0.0/168.134.0.1 to 8.134.255.2548.134.255.25565,534
1368.135.0.0/168.135.0.1 to 8.135.255.2548.135.255.25565,534
1378.136.0.0/168.136.0.1 to 8.136.255.2548.136.255.25565,534
1388.137.0.0/168.137.0.1 to 8.137.255.2548.137.255.25565,534
1398.138.0.0/168.138.0.1 to 8.138.255.2548.138.255.25565,534
1408.139.0.0/168.139.0.1 to 8.139.255.2548.139.255.25565,534
1418.140.0.0/168.140.0.1 to 8.140.255.2548.140.255.25565,534
1428.141.0.0/168.141.0.1 to 8.141.255.2548.141.255.25565,534
1438.142.0.0/168.142.0.1 to 8.142.255.2548.142.255.25565,534
1448.143.0.0/168.143.0.1 to 8.143.255.2548.143.255.25565,534
1458.144.0.0/168.144.0.1 to 8.144.255.2548.144.255.25565,534
1468.145.0.0/168.145.0.1 to 8.145.255.2548.145.255.25565,534
1478.146.0.0/168.146.0.1 to 8.146.255.2548.146.255.25565,534
1488.147.0.0/168.147.0.1 to 8.147.255.2548.147.255.25565,534
1498.148.0.0/168.148.0.1 to 8.148.255.2548.148.255.25565,534
1508.149.0.0/168.149.0.1 to 8.149.255.2548.149.255.25565,534
1518.150.0.0/168.150.0.1 to 8.150.255.2548.150.255.25565,534
1528.151.0.0/168.151.0.1 to 8.151.255.2548.151.255.25565,534
1538.152.0.0/168.152.0.1 to 8.152.255.2548.152.255.25565,534
1548.153.0.0/168.153.0.1 to 8.153.255.2548.153.255.25565,534
1558.154.0.0/168.154.0.1 to 8.154.255.2548.154.255.25565,534
1568.155.0.0/168.155.0.1 to 8.155.255.2548.155.255.25565,534
1578.156.0.0/168.156.0.1 to 8.156.255.2548.156.255.25565,534
1588.157.0.0/168.157.0.1 to 8.157.255.2548.157.255.25565,534
1598.158.0.0/168.158.0.1 to 8.158.255.2548.158.255.25565,534
1608.159.0.0/168.159.0.1 to 8.159.255.2548.159.255.25565,534
1618.160.0.0/168.160.0.1 to 8.160.255.2548.160.255.25565,534
1628.161.0.0/168.161.0.1 to 8.161.255.2548.161.255.25565,534
1638.162.0.0/168.162.0.1 to 8.162.255.2548.162.255.25565,534
1648.163.0.0/168.163.0.1 to 8.163.255.2548.163.255.25565,534
1658.164.0.0/168.164.0.1 to 8.164.255.2548.164.255.25565,534
1668.165.0.0/168.165.0.1 to 8.165.255.2548.165.255.25565,534
1678.166.0.0/168.166.0.1 to 8.166.255.2548.166.255.25565,534
1688.167.0.0/168.167.0.1 to 8.167.255.2548.167.255.25565,534
1698.168.0.0/168.168.0.1 to 8.168.255.2548.168.255.25565,534
1708.169.0.0/168.169.0.1 to 8.169.255.2548.169.255.25565,534
1718.170.0.0/168.170.0.1 to 8.170.255.2548.170.255.25565,534
1728.171.0.0/168.171.0.1 to 8.171.255.2548.171.255.25565,534
1738.172.0.0/168.172.0.1 to 8.172.255.2548.172.255.25565,534
1748.173.0.0/168.173.0.1 to 8.173.255.2548.173.255.25565,534
1758.174.0.0/168.174.0.1 to 8.174.255.2548.174.255.25565,534
1768.175.0.0/168.175.0.1 to 8.175.255.2548.175.255.25565,534
1778.176.0.0/168.176.0.1 to 8.176.255.2548.176.255.25565,534
1788.177.0.0/168.177.0.1 to 8.177.255.2548.177.255.25565,534
1798.178.0.0/168.178.0.1 to 8.178.255.2548.178.255.25565,534
1808.179.0.0/168.179.0.1 to 8.179.255.2548.179.255.25565,534
1818.180.0.0/168.180.0.1 to 8.180.255.2548.180.255.25565,534
1828.181.0.0/168.181.0.1 to 8.181.255.2548.181.255.25565,534
1838.182.0.0/168.182.0.1 to 8.182.255.2548.182.255.25565,534
1848.183.0.0/168.183.0.1 to 8.183.255.2548.183.255.25565,534
1858.184.0.0/168.184.0.1 to 8.184.255.2548.184.255.25565,534
1868.185.0.0/168.185.0.1 to 8.185.255.2548.185.255.25565,534
1878.186.0.0/168.186.0.1 to 8.186.255.2548.186.255.25565,534
1888.187.0.0/168.187.0.1 to 8.187.255.2548.187.255.25565,534
1898.188.0.0/168.188.0.1 to 8.188.255.2548.188.255.25565,534
1908.189.0.0/168.189.0.1 to 8.189.255.2548.189.255.25565,534
1918.190.0.0/168.190.0.1 to 8.190.255.2548.190.255.25565,534
1928.191.0.0/168.191.0.1 to 8.191.255.2548.191.255.25565,534
1938.192.0.0/168.192.0.1 to 8.192.255.2548.192.255.25565,534
1948.193.0.0/168.193.0.1 to 8.193.255.2548.193.255.25565,534
1958.194.0.0/168.194.0.1 to 8.194.255.2548.194.255.25565,534
1968.195.0.0/168.195.0.1 to 8.195.255.2548.195.255.25565,534
1978.196.0.0/168.196.0.1 to 8.196.255.2548.196.255.25565,534
1988.197.0.0/168.197.0.1 to 8.197.255.2548.197.255.25565,534
1998.198.0.0/168.198.0.1 to 8.198.255.2548.198.255.25565,534
2008.199.0.0/168.199.0.1 to 8.199.255.2548.199.255.25565,534
2018.200.0.0/168.200.0.1 to 8.200.255.2548.200.255.25565,534
2028.201.0.0/168.201.0.1 to 8.201.255.2548.201.255.25565,534
2038.202.0.0/168.202.0.1 to 8.202.255.2548.202.255.25565,534
2048.203.0.0/168.203.0.1 to 8.203.255.2548.203.255.25565,534
2058.204.0.0/168.204.0.1 to 8.204.255.2548.204.255.25565,534
2068.205.0.0/168.205.0.1 to 8.205.255.2548.205.255.25565,534
2078.206.0.0/168.206.0.1 to 8.206.255.2548.206.255.25565,534
2088.207.0.0/168.207.0.1 to 8.207.255.2548.207.255.25565,534
2098.208.0.0/168.208.0.1 to 8.208.255.2548.208.255.25565,534
2108.209.0.0/168.209.0.1 to 8.209.255.2548.209.255.25565,534
2118.210.0.0/168.210.0.1 to 8.210.255.2548.210.255.25565,534
2128.211.0.0/168.211.0.1 to 8.211.255.2548.211.255.25565,534
2138.212.0.0/168.212.0.1 to 8.212.255.2548.212.255.25565,534
2148.213.0.0/168.213.0.1 to 8.213.255.2548.213.255.25565,534
2158.214.0.0/168.214.0.1 to 8.214.255.2548.214.255.25565,534
2168.215.0.0/168.215.0.1 to 8.215.255.2548.215.255.25565,534
2178.216.0.0/168.216.0.1 to 8.216.255.2548.216.255.25565,534
2188.217.0.0/168.217.0.1 to 8.217.255.2548.217.255.25565,534
2198.218.0.0/168.218.0.1 to 8.218.255.2548.218.255.25565,534
2208.219.0.0/168.219.0.1 to 8.219.255.2548.219.255.25565,534
2218.220.0.0/168.220.0.1 to 8.220.255.2548.220.255.25565,534
2228.221.0.0/168.221.0.1 to 8.221.255.2548.221.255.25565,534
2238.222.0.0/168.222.0.1 to 8.222.255.2548.222.255.25565,534
2248.223.0.0/168.223.0.1 to 8.223.255.2548.223.255.25565,534
2258.224.0.0/168.224.0.1 to 8.224.255.2548.224.255.25565,534
2268.225.0.0/168.225.0.1 to 8.225.255.2548.225.255.25565,534
2278.226.0.0/168.226.0.1 to 8.226.255.2548.226.255.25565,534
2288.227.0.0/168.227.0.1 to 8.227.255.2548.227.255.25565,534
2298.228.0.0/168.228.0.1 to 8.228.255.2548.228.255.25565,534
2308.229.0.0/168.229.0.1 to 8.229.255.2548.229.255.25565,534
2318.230.0.0/168.230.0.1 to 8.230.255.2548.230.255.25565,534
2328.231.0.0/168.231.0.1 to 8.231.255.2548.231.255.25565,534
2338.232.0.0/168.232.0.1 to 8.232.255.2548.232.255.25565,534
2348.233.0.0/168.233.0.1 to 8.233.255.2548.233.255.25565,534
2358.234.0.0/168.234.0.1 to 8.234.255.2548.234.255.25565,534
2368.235.0.0/168.235.0.1 to 8.235.255.2548.235.255.25565,534
2378.236.0.0/168.236.0.1 to 8.236.255.2548.236.255.25565,534
2388.237.0.0/168.237.0.1 to 8.237.255.2548.237.255.25565,534
2398.238.0.0/168.238.0.1 to 8.238.255.2548.238.255.25565,534
2408.239.0.0/168.239.0.1 to 8.239.255.2548.239.255.25565,534
2418.240.0.0/168.240.0.1 to 8.240.255.2548.240.255.25565,534
2428.241.0.0/168.241.0.1 to 8.241.255.2548.241.255.25565,534
2438.242.0.0/168.242.0.1 to 8.242.255.2548.242.255.25565,534
2448.243.0.0/168.243.0.1 to 8.243.255.2548.243.255.25565,534
2458.244.0.0/168.244.0.1 to 8.244.255.2548.244.255.25565,534
2468.245.0.0/168.245.0.1 to 8.245.255.2548.245.255.25565,534
2478.246.0.0/168.246.0.1 to 8.246.255.2548.246.255.25565,534
2488.247.0.0/168.247.0.1 to 8.247.255.2548.247.255.25565,534
2498.248.0.0/168.248.0.1 to 8.248.255.2548.248.255.25565,534
2508.249.0.0/168.249.0.1 to 8.249.255.2548.249.255.25565,534
2518.250.0.0/168.250.0.1 to 8.250.255.2548.250.255.25565,534
2528.251.0.0/168.251.0.1 to 8.251.255.2548.251.255.25565,534
2538.252.0.0/168.252.0.1 to 8.252.255.2548.252.255.25565,534
2548.253.0.0/168.253.0.1 to 8.253.255.2548.253.255.25565,534
2558.254.0.0/168.254.0.1 to 8.254.255.2548.254.255.25565,534
2568.255.0.0/168.255.0.1 to 8.255.255.2548.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses